weka.knowledgeflow.steps

## Class DataGenerator

- java.lang.Object
- - weka.knowledgeflow.steps.BaseStep
  - - weka.knowledgeflow.steps.WekaAlgorithmWrapper
    - - weka.knowledgeflow.steps.DataGenerator

- All Implemented Interfaces:
    java.io.Serializable, BaseStepExtender, Step

      @KFStep(name="DataGenerator",
              category="DataGenerators",
              toolTipText="Weka data generator wrapper",
              iconPath="")
      public class DataGenerator
      extends WekaAlgorithmWrapper

  Step that wraps a Weka DataGenerator.
  Version:
    $Revision: $
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataGenerator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataGenerator` | `getDataGenerator()` get the data generator
    `java.util.List<java.lang.String>` | `getIncomingConnectionTypes()` Get acceptable incoming connection types.
    `java.util.List<java.lang.String>` | `getOutgoingConnectionTypes()` Get a list of outgoing connection types
    `java.lang.Class` | `getWrappedAlgorithmClass()` Get the class of the wrapped algorithm
    `Instances` | `outputStructureForConnectionType(java.lang.String connectionName)` If possible, get the output structure for the named connection type as a header-only set of instances.
    `void` | `setDataGenerator(DataGenerator dataGenerator)` Set the data generator
    `void` | `setWrappedAlgorithm(java.lang.Object algo)` Set the algorithm to wrap
    `void` | `start()` Start the data generation process.
    `void` | `stepInit()` Initialize the step.

    - ### Methods inherited from class weka.knowledgeflow.steps.WekaAlgorithmWrapper

      `getDefaultIconPath, getDefaultPackageLevelIconPath, getIconPath, getWrappedAlgorithm, globalInfo`

    - ### Methods inherited from class weka.knowledgeflow.steps.BaseStep

      `environmentSubstitute, getCustomEditorForStep, getDefaultSettings, getInteractiveViewers, getInteractiveViewersImpls, getName, getStepManager, isResourceIntensive, isStopRequested, processIncoming, setName, setStepIsResourceIntensive, setStepManager, setStepMustRunSingleThreaded, stepMustRunSingleThreaded, stop`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataGenerator

          public DataGenerator()

  - ### Method Detail

    - #### getWrappedAlgorithmClass

          public java.lang.Class getWrappedAlgorithmClass()

      Get the class of the wrapped algorithm
      Specified by:
        `getWrappedAlgorithmClass` in class `WekaAlgorithmWrapper`
      Returns:
        the class of the wrapped algorithm

    - #### setWrappedAlgorithm

          public void setWrappedAlgorithm(java.lang.Object algo)

      Set the algorithm to wrap
      Overrides:
        `setWrappedAlgorithm` in class `WekaAlgorithmWrapper`
      Parameters:
        `algo` - the algorithm to wrao

    - #### getDataGenerator

          public DataGenerator getDataGenerator()

      get the data generator
      Returns:
        the data generator

    - #### setDataGenerator

          @ProgrammaticProperty
          public void setDataGenerator(DataGenerator dataGenerator)

      Set the data generator
      Parameters:
        `dataGenerator` -

    - #### stepInit

          public void stepInit()

      Initialize the step. Nothing to do in this case.

    - #### start

          public void start()
                     throws WekaException

      Start the data generation process.
      Specified by:
        `start` in interface `BaseStepExtender`
      Specified by:
        `start` in interface `Step`
      Overrides:
        `start` in class `BaseStep`
      Throws:
        `WekaException` - if a problem occurs

    - #### outputStructureForConnectionType

          public Instances outputStructureForConnectionType(java.lang.String connectionName)
                                                     throws WekaException

      If possible, get the output structure for the named connection type as a header-only set of instances. Can return null if the specified connection type is not representable as Instances or cannot be determined at present.
      Specified by:
        `outputStructureForConnectionType` in interface `Step`
      Overrides:
        `outputStructureForConnectionType` in class `BaseStep`
      Parameters:
        `connectionName` - the name of the connection type to get the output structure for
      Returns:
        the output structure as a header-only Instances object
      Throws:
        `WekaException` - if a problem occurs

    - #### getIncomingConnectionTypes

          public java.util.List<java.lang.String> getIncomingConnectionTypes()

      Get acceptable incoming connection types. None in this case since this step is a start point
      Returns:
        null (no acceptable incoming connections)

    - #### getOutgoingConnectionTypes

          public java.util.List<java.lang.String> getOutgoingConnectionTypes()

      Get a list of outgoing connection types
      Returns:
        a list of outgoing connection types